Package fr.gouv.vitam.worker.core.plugin

# Class StoreMetaDataObjectGroupActionPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.StoreMetaDataObjectGroupActionPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `PreservationStorageMetadataAndLfc`

public class StoreMetaDataObjectGroupActionPlugin extends ActionHandler
Stores MetaData object group plugin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoreMetaDataObjectGroupActionPlugin()`
  `StoreMetaDataObjectGroupActionPlugin(MetaDataClientFactory metaDataClientFactory, LogbookLifeCyclesClientFactory logbookLifeCyclesClientFactory, StorageClientFactory storageClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `ItemStatus`
  `execute(WorkerParameters params, HandlerIO handlerIO)`
  Execute an action
  `List<ItemStatus>`
  `executeList(WorkerParameters params, HandlerIO handlerIO)`
  `void`
  `storeDocumentsWithLfc(WorkerParameters params, HandlerIO handlerIO, List<String> objectGroupIds)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StoreMetaDataObjectGroupActionPlugin

    public StoreMetaDataObjectGroupActionPlugin()

  - ### StoreMetaDataObjectGroupActionPlugin

    public StoreMetaDataObjectGroupActionPlugin(MetaDataClientFactory metaDataClientFactory, LogbookLifeCyclesClientFactory logbookLifeCyclesClientFactory, StorageClientFactory storageClientFactory)

- ## Method Details

  - ### executeList

    public List<ItemStatus> executeList(WorkerParameters params, HandlerIO handlerIO)
    Overrides:
      `executeList` in class `ActionHandler`
    Parameters:
      `params` -
      `handlerIO` -
    Returns:

  - ### execute

    public ItemStatus execute(WorkerParameters params, HandlerIO handlerIO)
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `params` - `WorkerParameters`
      `handlerIO` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete

  - ### storeDocumentsWithLfc

    public void storeDocumentsWithLfc(WorkerParameters params, HandlerIO handlerIO, List<String> objectGroupIds) throws VitamException
    Throws:
      `VitamException`